#!/bin/bash
#
# Federated Start Script

usage() {
  echo "$0: all|dns|ldap|mail|collabora|nextcloud|matrix|jitsi|panel|proxy"
  exit 2
}
startservice() {
  echo "* Starting $SERVICE.."
  cd fstack/$SERVICE && docker-compose -f docker-compose.yml -p $SERVICE up -d
}
startservice_all() {
  for i in dns ldap mail collabora nextcloud matrix jitsi panel proxy; do
    echo "* Starting $i.."
    cd fstack/$i && docker-compose -f docker-compose.yml -p $i up -d
  done
}

[ $# != 1 ] && usage
SERVICE=$1

case "$SERVICE" in
  all) startservice_all;;
  dns|ldap|mail|collabora|nextcloud|matrix|jitsi|panel|proxy) startservice;;
  *) usage;;
esac
