#!/bin/bash
#
# Federated Stop Script

usage() {
  echo "$0: all|dns|ldap|mail|collabora|nextcloud|matrix|jitsi|panel|proxy"
  exit 2
}
stopservice() {
  echo "* Stopping $SERVICE.."
  docker-compose -f fstack/$SERVICE/docker-compose.yml -p $SERVICE down
}
stopservice_all() {
  for i in dns ldap mail collabora nextcloud matrix jitsi panel proxy; do
    echo "* Stopping $i.."
    docker-compose -f fstack/$i/docker-compose.yml -p $i down
  done
}

[ $# != 1 ] && usage
SERVICE=$1

case "$SERVICE" in
  all) stopservice_all;;
  dns|ldap|mail|collabora|nextcloud|matrix|jitsi|panel|proxy) stopservice;;
  *) usage;;
esac
